# Generated by Django 3.1.7 on 2021-05-05 02:24

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0060_fix_workflow_unique_constraint"),
        ("elections2021", "0003_auto_20210505_0137"),
    ]

    operations = [
        migrations.CreateModel(
            name="Elections2021ProgramPointPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "annotation",
                    wagtail.fields.RichTextField(verbose_name="anotace"),
                ),
                ("problem", wagtail.fields.RichTextField(verbose_name="problém")),
                (
                    "context",
                    wagtail.fields.RichTextField(verbose_name="kontext problému"),
                ),
                ("ideal", wagtail.fields.RichTextField(verbose_name="ideál")),
                (
                    "proposal",
                    wagtail.fields.RichTextField(verbose_name="navrhovaná opatření"),
                ),
                (
                    "already_done",
                    wagtail.fields.RichTextField(verbose_name="co jsme už udělali"),
                ),
                (
                    "time_horizon_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="časový horizont"
                    ),
                ),
                (
                    "time_horizon_number",
                    models.IntegerField(
                        blank=True, null=True, verbose_name="časový horizont - číslo"
                    ),
                ),
                (
                    "time_horizon_unit",
                    models.CharField(
                        choices=[("years", "roky"), ("months", "měsíce")],
                        default="years",
                        max_length=6,
                        verbose_name="časový horizont - jednotka",
                    ),
                ),
                ("sources", wagtail.fields.RichTextField(verbose_name="zdroje")),
                (
                    "faq",
                    wagtail.fields.StreamField(
                        [
                            (
                                "questions_list",
                                wagtail.blocks.ListBlock(
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "question",
                                                wagtail.blocks.CharBlock(
                                                    label="otázka"
                                                ),
                                            ),
                                            (
                                                "answer",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h4",
                                                        "ul",
                                                        "superscript",
                                                        "link",
                                                        "italic",
                                                    ],
                                                    label="odpověď",
                                                ),
                                            ),
                                        ]
                                    )
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="FAQ",
                    ),
                ),
                (
                    "related_points",
                    wagtail.fields.StreamField(
                        [
                            (
                                "related_points_list",
                                wagtail.blocks.ListBlock(
                                    wagtail.blocks.PageChooserBlock(
                                        label="programový bod",
                                        page_type=[
                                            "elections2021.Elections2021ProgramPointPage"
                                        ],
                                    )
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="související body",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Programpvý bod",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="Elections2021ProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="hlavní fotka",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Program",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
